Skip to content

A server's history

GET
/servers/{serverId}/events
curl --request GET \
--url https://example.com/api/v1/servers/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/events \
--cookie __Host-shardkeep_session=<__Host-shardkeep_session>
serverId
required
string format: uuid
limit
integer
>= 1 <= 200

At most this many items (default 50).

cursor
string
<= 200 characters

The nextCursor of the previous page.

Events, newest first.

Media typeapplication/json
object
items
required
Array<object>
object
id
required
integer format: int64
occurredAt
required
string format: date-time
source
required
string
Allowed values: AGENT CONTROLLER
kind
required
string
data
required
object
key
additional properties
any
nextCursor
string
Example
{
"items": [
{
"source": "AGENT",
"kind": "server.desired_state_changed"
}
]
}

The request is invalid.

Media typeapplication/problem+json

An RFC 9457 problem with a machine-readable code.

object
type
required
string
title
required
string
status
required
integer
detail
string
code
required

Stable machine-readable error code.

string
Example
{
"type": "about:blank",
"title": "Conflict",
"status": 409,
"code": "conflict"
}

Not signed in, or the credentials are invalid.

Media typeapplication/problem+json

An RFC 9457 problem with a machine-readable code.

object
type
required
string
title
required
string
status
required
integer
detail
string
code
required

Stable machine-readable error code.

string
Example
{
"type": "about:blank",
"title": "Conflict",
"status": 409,
"code": "conflict"
}

Not found, or not visible to you.

Media typeapplication/problem+json

An RFC 9457 problem with a machine-readable code.

object
type
required
string
title
required
string
status
required
integer
detail
string
code
required

Stable machine-readable error code.

string
Example
{
"type": "about:blank",
"title": "Conflict",
"status": 409,
"code": "conflict"
}